Botan 1.10.17

Public Member Functions | List of all members
Botan::EntropySource Class Referenceabstract

`#include <entropy_src.h>`

Inheritance diagram for Botan::EntropySource:

## Public Member Functions
virtual std::string | name () const =0
virtual void | poll (Entropy_Accumulator &accum)=0
virtual | ~EntropySource ()

## Detailed Description

Abstract interface to a source of (hopefully unpredictable) system entropy

Definition at line 122 of file entropy_src.h.

## Constructor & Destructor Documentation

## ◆ ~EntropySource()

virtual Botan::EntropySource::~EntropySource | ( |  | ) |
| inline virtual

Definition at line 136 of file entropy_src.h.

136 {}

## Member Function Documentation

## ◆ name()

virtual std::string Botan::EntropySource::name | ( |  | ) | const
| pure virtual

Returns
  name identifying this entropy source

Implemented in Botan::High_Resolution_Timestamp, Botan::Device_EntropySource, Botan::EGD_EntropySource, Botan::Unix_EntropySource, Botan::Win32_CAPI_EntropySource, Botan::Intel_Rdrand, Botan::FTW_EntropySource, and Botan::Win32_EntropySource.

## ◆ poll()

virtual void Botan::EntropySource::poll | ( | Entropy_Accumulator & | accum | ) |
| pure virtual

Perform an entropy gathering poll

Parameters

  accum | is an accumulator object that will be given entropy

Implemented in Botan::Device_EntropySource, Botan::EGD_EntropySource, Botan::High_Resolution_Timestamp, Botan::Unix_EntropySource, Botan::Win32_CAPI_EntropySource, Botan::FTW_EntropySource, Botan::Intel_Rdrand, and Botan::Win32_EntropySource.

The documentation for this class was generated from the following file:

- src/entropy/entropy_src.h